### Enumeration

# Fwupd FeatureFlags

#### Declaration

    flags Fwupd.FeatureFlags

#### Description [src]

The flags to the feature capabilities of the front-end client.

#### Members

`FWUPD_FEATURE_FLAG_NONE`

  No trust.

  - Value: `0`
  - Available since: 2.0
`FWUPD_FEATURE_FLAG_CAN_REPORT`

  Can upload a report of the update back to the server.

  - Value: `1`
  - Available since: 2.0
`FWUPD_FEATURE_FLAG_DETACH_ACTION`

  Can perform detach action, typically showing text.

  - Value: `2`
  - Available since: 2.0
`FWUPD_FEATURE_FLAG_UPDATE_ACTION`

  Can perform update action, typically showing text.

  - Value: `4`
  - Available since: 2.0
`FWUPD_FEATURE_FLAG_SWITCH_BRANCH`

  Can switch the firmware branch.

  - Value: `8`
  - Available since: 2.0
`FWUPD_FEATURE_FLAG_REQUESTS`

  Can show interactive requests.

  - Value: `16`
  - Available since: 2.0
`FWUPD_FEATURE_FLAG_FDE_WARNING`

  Can warn about full disk encryption.

  - Value: `32`
  - Available since: 2.0
`FWUPD_FEATURE_FLAG_COMMUNITY_TEXT`

  Can show information about community supported.

  - Value: `64`
  - Available since: 2.0
`FWUPD_FEATURE_FLAG_SHOW_PROBLEMS`

  Can show problems when getting the update list.

  - Value: `128`
  - Available since: 2.0
`FWUPD_FEATURE_FLAG_ALLOW_AUTHENTICATION`

  Can authenticate with PolicyKit for requests.

  - Value: `256`
  - Available since: 2.0
`FWUPD_FEATURE_FLAG_REQUESTS_NON_GENERIC`

  Can handle showing non-generic request message text.

  - Value: `512`
  - Available since: 2.0
`FWUPD_FEATURE_FLAG_UNKNOWN`

  Unknown flag.

  - Value: `-1`
  - Available since: 2.0